PUDB(1)

NAME
pudb - full-screen, console-based Python debugger

SYNOPSIS
pudb [options] script-to-run [script-arguments]

DESCRIPTION
This manual page documents briefly the pudb command.

PuDB is a full-screen, console-based visual debugger for Python.

Its goal is to provide all the niceties of modern GUI-based debuggers in a more lightweight and keyboard-friendly package. PuDB allows you to debug code right where you write and test it -- in a terminal. If you've worked with the excellent (but nowadays ancient) DOS-based Turbo Pascal or C tools, PuDB's UI might look familiar.

OPTIONS

-h, --help
    Show summary of options.

-s, --steal-output

--pre-run=COMMAND
    run COMMAND before each program run

AUTHOR
PuDB was written by Andreas Kloeckner <inform@tiker.net>.

This manual page was written by David Paleino <dapal@debian.org>, for the Debian project (and may be used by others).